<script setup lang="ts">
  import { SavedProductsEventEnum } from '~/components/presentation/model';

  const { loadBookmarkIds } = useBookmark();

  const emits = defineEmits<{
    (e: 'close'): void;
  }>();

  const leftSidebarController = useLeftSidebar();

  onMounted(() => {
    loadBookmarkIds();
  });

  const handleEvents = (event: SavedProductsEventEnum) => {
    switch (event) {
      case SavedProductsEventEnum.CLOSE_SAVED_PRODUCTS_LAYER:
        leftSidebarController.close();
        break;

      case SavedProductsEventEnum.GO_BACK:
        emits('close');
        break;
      default:
    }
  };
</script>

<template>
  <SavedProductsUpsertSidebar @trigger="handleEvents" />
</template>
